Quote Originally Posted by ralphy View Post
I have encountered that before with the desktop linux squeezeplay and can be caused by using png library versions newer than 1.2.x.
Figures... Turns out I had a rogue libpng 3.x from some unknown source on the dev machine and because the sources have been altered to statically link to most of the external libraries this became obscured. I really really really like ldd to show the same dependencies (except for libspotify then).